[
{
    blockid=quota;
    help=store_quota_quota;
    custom="com.netscape.management.msgserv.StoreQuotaControl";
    localvar={
	/* translate this block */
	.header.text="\ud560\ub2f9\ub7c9 \uad6c\uc131";
	.quotaenforcement.text="\ud560\ub2f9\ub7c9 \uc801\uc6a9 \uc0ac\uc6a9 \uac00\ub2a5";
	.quotanotification.text="\ud560\ub2f9\ub7c9 \uc54c\ub9bc \uc0ac\uc6a9 \uac00\ub2a5";
	.defquota.text="\uae30\ubcf8 \uc0ac\uc6a9\uc790 \ub514\uc2a4\ud06c \ud560\ub2f9\ub7c9:";
	.defmsgquota.text="\uae30\ubcf8 \uc0ac\uc6a9\uc790 \uba54\uc2dc\uc9c0 \ud560\ub2f9\ub7c9:";
	.defquota.labels=["KB","MB"];
	.imapquotahelp.text="\uacbd\uace0 \uc804\uc5d0 \ud5c8\uc6a9\ub41c \ub514\uc2a4\ud06c \ud560\ub2f9\ub7c9 \ubc31\ubd84\uc728.";
	.gracehelp.text="\ub2e4\uc74c \uc9c0\uc815\ub41c \uc720\uc608 \uae30\uac04 \ud6c4\uc5d0 \uc11c\ubc84\uc5d0\uc11c \uc6b0\ud3b8\uc744 \uac70\ubd80\ud558\uae30 \uc2dc\uc791\ud569\ub2c8\ub2e4.";
	.quota.text="\ud560\ub2f9\ub7c9 \uacbd\uace0 \uc784\uacc4\uce58:";
	.unlimited.text="\uc81c\ud55c \uc5c6\uc74c";
	.grace.text="\ud560\ub2f9\ub7c9 \uc720\uc608 \uae30\uac04 \ucd08\uacfc:";
	.grace.labels=["\uc2dc\uac04","\uc77c"];
	.quotamsg.text="\ud560\ub2f9\ub7c9 \uc81c\ud55c \uac12\uc744 \ucd08\uacfc\ud558\uba74 \uc0ac\uc6a9\uc790\uc5d0\uac8c \uba54\uc2dc\uc9c0 \ubcf4\ub0b4\uae30:";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    text=$.header.text;
	    wrap=$g.label.size5;
	    font=["","",16];
	    constraint={
	    	gridx=0;
	        gridy=0;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=1;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	/* Added in IMS 5.0 ---> */
	{
		ctrl=togglepane;
		id=quotaenforcement;
		text=$.quotaenforcement.text;
		wrap=$g.label.size1;
		val=$quotaenforcement.value;
		inline=true;
		constraint={
	        gridx=0;
	        gridy=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }		
	},
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=3;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
		ctrl=togglepane;
		id=quotanotification;
		text=$.quotanotification.text;
		wrap=$g.label.size1;
		val=$quotanotification.value;
		inline=true;
		constraint={
	        gridx=0;
	        gridy=4;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }		
	},
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=5;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	/* <--- Added in IMS 5.0 */
	{
	    ctrl=label;
	    id=defquotalabel;
	    text=$.defquota.text;
	    wrap=$g.label.size1;
	    constraint={
	        gridx=0;
	        gridy=6;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    label=defquotalabel;
	    style=radio;
	    group=defquota;
	    text=$.unlimited.text;
	    id=quotaunlimited;
	    inline=true;
	    constraint={
	        gridx=1;
	        gridy=6;
	        weightx=9;
	        fill=h;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    label=defquotalabel;
	    group=defquota;
	    style=radio;
	    text="";
	    id=quotalimited;
	    inline=true;
	    constraint={
	        gridx=1;
	        gridy=7;
	        weightx=9;
	        fill=h;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	    content=[
		{
		    ctrl=number;
		    id=defaultquota;
		    label=defquotalabel;
		    unit=byte;
		    items=[kb,mb];
		    labels=$.defquota.labels;
		    val=$defaultmailboxquota.value;
		    min=-1;
		},
		{
		    ctrl=hglue;
		}
	    ]
	},
	/* Added in IMS 5.0 ---> */
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=8;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=defmsgquotalabel;
	    text=$.defmsgquota.text;
	    wrap=$g.label.size1;
	    constraint={
	        gridx=0;
	        gridy=9;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    label=defmsgquotalabel;
	    style=radio;
	    group=defmsgquota;
	    text=$.unlimited.text;
	    id=quotamsgunlimited;
	    inline=true;
	    constraint={
	        gridx=1;
	        gridy=9;
	        weightx=9;
	        fill=h;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    group=defmsgquota;
	    style=radio;
	    text="";
	    id=quotamsglimited;
	    inline=true;
	    constraint={
	        gridx=1;
	        gridy=10;
	        weightx=9;
	        fill=h;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	    content=[
	    	{
	    		ctrl=number;
	    		id=defaultmsgquota;
			label=defmsgquotalabel;
			val=$defaultmessagequota.value;
			min=-1;
	    	},
	    	{
		    ctrl=hglue;
		}
	    ]
	},
	/* <--- Added in IMS 5.0 */
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=11;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    text=$.imapquotahelp.text;
	    wrap=$g.label.size5;
	    constraint={
	        gridx=0;
	        gridy=12;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=quotalabel;
	    text=$.quota.text;
	    wrap=$g.label.size1;
	    constraint={
	        gridx=0;
	        gridy=13;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=pane;
	    constraint={
	        gridx=1;
	        gridy=13;
	        weightx=9;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	    content=[
		{
		    ctrl=number;
		    val=$quotawarn.value;
		    label=quotalabel;
		    max=100;
		    aligny=0.5;
		},
		{
		    ctrl=label;
		    text=" %";
		    aligny=0.5;
		}
	    ]
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=14;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=quotamsglabel;
	    text=$.quotamsg.text;
	    wrap=$g.label.size5;
	    constraint={
	        gridx=0;
	        gridy=15;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=switchboard;
	    switchborder=false;
	    constraint={
	        gridx=0;
	        gridy=16;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	    switch=[
		{
		    ctrl=choice;
		    id=exceedlang;
		    items=$g.usrlang.items;
		    labels=$g.usrlang.labels;
		    sendmodified=false;
		}
	    ];
	    content=[
		{
		    ctrl=textarea;
		    id=exceedtext;
		    label=quotamsglabel;
		}
	    ];
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=17;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    text=$.gracehelp.text;
	    wrap=$g.label.size5;
	    constraint={
	        gridx=0;
	        gridy=18;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=gracelabel;
	    text=$.grace.text;
	    target=gracectrl;
	    wrap=$g.label.size1;
	    constraint={
	        gridx=0;
	        gridy=19;
	        weightx=1;
	        fill=h;
	        anchor=northwest;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=number;
	    id=gracectrl;
	    label=gracelabel;
	    unit=hr;
	    items=[hr,day];
	    labels=$.grace.labels;
	    val=$quotagraceperiod.value;
	    constraint={
	        gridx=1;
	        gridy=19;
	        weightx=9;
	        weighty=1;
	        anchor=northwest;
	        insets=$g.insets.comp;
	    }
	}
    ]
},
{
    blockid=dialog1;
    help=store_quota_dialog1;
    localvar={
	.name.text="\uad00\ub9ac\uc790 ID:";
    };
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    id=namelabel;
		    text=$.name.text;
		    wrap=$g.label.size5;
		},
		{
		    ctrl=text;
		    label=namelabel;
		    val=$adminname;
		}
	    ]
	}
    ]
}
]
